/**
 * <copyright>
 * </copyright>
 *
 * $Id: AssociationEndValidator.java,v 1.1 2008-04-01 09:35:38 vmahe Exp $
 */
package orgomg.cwm.objectmodel.relationships.validation;

import orgomg.cwm.objectmodel.relationships.AggregationKind;

/**
 * A sample validator interface for {@link orgomg.cwm.objectmodel.relationships.AssociationEnd}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface AssociationEndValidator {
	boolean validate();

	boolean validateAggregation(AggregationKind value);
	boolean validateIsNavigable(boolean value);
}
